Merge branch 'master' of feistymeow.org:feisty_meow into dev
authorChris Koeritz <fred@gruntose.com>
Mon, 18 Dec 2017 02:04:56 +0000 (21:04 -0500)
committerChris Koeritz <fred@gruntose.com>
Mon, 18 Dec 2017 02:04:56 +0000 (21:04 -0500)
12 files changed:
infobase/fortunes.dat
production/sites/cakelampvm.com/docs/manual/cakelampvm_guide_v002.html
scripts/agenda/info_overload_report.sh
scripts/core/functions.sh
scripts/customize/fred/fred_variables.sh
scripts/customize/fred/scripts/archival/raw_surya_synch.sh [deleted file]
scripts/customize/fred/scripts/archival/raw_synch.sh [new file with mode: 0644]
scripts/generator/jenkins_builder.sh [new file with mode: 0644]
scripts/opensim/opensim_utils.sh
scripts/site_avenger/revamp_cakelampvm.sh
scripts/system/add_swap_mount.sh
scripts/system/common_sysadmin.sh

index 32f238a0d6e647be2608f36af39af467a2fef668..41f85f59ef73b83d3209129ac35efa5d4aded8e2 100644 (file)
@@ -43050,4 +43050,32 @@ people to feel indebted to us.  Shantideva says:
 
   -- Traleg Kyabgon, from "The Practice of Lojong: Cultivating Compassion
      through Training the Mind", published by Shambhala Publications
+~
+Guru Rinpoche Padmasambhava says:
+
+        If you want to go sightseeing, try touring your own clear,
+        mirrorlike mind instead.
+
+    What technique can we use to effectively start our journey to realizing
+our natural, pristine state?
+    The clearest instructions for doing this come from Guru Rinpoche
+Padmasambhava, the main architect of the Pristine Mind teachings.  Guru
+Rinpoche has given us the essential opening instructions for practicing
+Pristine Mind meditation in four steps:
+
+         Don’t follow the past.
+         Don’t anticipate the future.
+         Remain in the present moment.
+         Leave your mind alone.
+
+    We must understand these instructions.  They are designed to help us stay
+in the present moment.  Some other forms of meditation teachings say that
+remaining in the present moment is the ultimate objective of meditation.
+However, the present moment itself is not ultimate reality, ultimate truth, or
+the ultimate goal of Pristine Mind meditation.  Nor is it what I mean when I
+refer to our fundamental nature.  Instead, being in the present moment, with
+our mind calm and relaxed, simply creates the right conditions to begin to
+connect with our Pristine Mind.
+  --Excerpted from "Our Pristine Mind: A Practical Guide to Unconditional
+    Happiness", by Orgyen Chowang, published by Shambhala Publications
 
index 883179042f6431ac276a20a3cbaad29c29cfa8e7..2b285a6d0a402023742d41316f884aee6cb0b7ec 100644 (file)
@@ -271,7 +271,7 @@ href="http://mapsdemo.cakelampvm.com">http://mapsdemo.cakelampvm.com</a></pre>
     <h4>Setting up DNS on Windows<a id="#windoze-dns" name="#windoze-dns"></a></h4>
     <p>The ipconfig tool will provide helpful information about your current
       networking and DNS configuration:</p>
-    <pre>&gt; ipconfig --all</pre>
+    <pre>&gt; ipconfig /all</pre>
     <p>The DNS configuration on Windows is somewhat byzantine.&nbsp; The pipe
       characters ('|') below are used to separate the menus or tabs or dialogs
       to traverse.&nbsp; Follow this path to get to the DNS config:</p>
index 1c7784aae368e7c39cfff19a84bdf0c1d91b04eb..9469e57edb749fe70507ba2799bad225e7ed25f8 100644 (file)
@@ -127,7 +127,7 @@ analyze_hierarchy_and_report ~/cloud/branch_road "hearth and home notes (branch
 
 # and then count up the things that we think will be cleaned soon, but one thing we have learned
 # unsorted files haven't been categorized yet.
-analyze_hierarchy_and_report ~/cloud/disordered "unsorted files"
+analyze_hierarchy_and_report ~/cloud/disordered "disordered and maybe deranged files"
 
 # we now consider the backlog of things to read to be a relevant fact.  this is going to hose
 # up our weight accounting considerably.
@@ -151,7 +151,7 @@ analyze_by_dir_patterns "lab experiments" ~/cloud/experiment*
 analyze_by_dir_patterns "jobby work tasks" ~/cloud/job* 
 
 # scan all the trivial project folders.
-analyze_by_dir_patterns "trivialities" ~/cloud/trivia*
+analyze_by_dir_patterns "trivialities and back burner items" ~/cloud/trivia* ~/cloud/backburn*
 
 full_report+="================================================================\n\
 "
index 189dac016546307e7e665e05f816285e4389cbf9..c60c94319e4e24d126e700465c66e9ece8edcecd 100644 (file)
@@ -510,7 +510,8 @@ or if you're on cygwin, then try this (if apt-cyg is available):\n
 
     if [ -d "$FEISTY_MEOW_SCRIPTS/customize/$custom_user/scripts" ]; then
       echo "copying custom scripts for $custom_user"
-      netcp "$FEISTY_MEOW_SCRIPTS/customize/$custom_user/scripts" "$FEISTY_MEOW_LOADING_DOCK/custom/" &>/dev/null
+      rsync -avz "$FEISTY_MEOW_SCRIPTS/customize/$custom_user/scripts" "$FEISTY_MEOW_LOADING_DOCK/custom/" &>/dev/null
+      test_or_continue "copying customization scripts"
 #hmmm: could save output to show if an error occurs.
     fi
     echo
index 87d0dbf2d3df5ba2685ddeedafc8016e4404a01e..1ac9756abbc9664281e3ea8ea3e016279dfacea1 100644 (file)
@@ -10,7 +10,7 @@ if [ -z "$USER_CUSTOMIZATIONS_LOADED" ]; then
 
   # The gruntose web site is expected to reside below, if it exists at all.
   export WEBBED_SITES=$HOME/web
-  if [ "$(hostname)" = "zooty.koeritz.com" ]; then
+  if [ "$(hostname)" = "hamstertronic" ]; then
     export WEBBED_SITES=/var/www
   fi
 
diff --git a/scripts/customize/fred/scripts/archival/raw_surya_synch.sh b/scripts/customize/fred/scripts/archival/raw_surya_synch.sh
deleted file mode 100644 (file)
index 57b9472..0000000
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-
-source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
-
-echo "Updating walrus and musix from surya: raw mode without syncthing!"
-echo
-
-for currdir in basement imaginations musix walrus; do
-  sep
-  echo "synching $currdir folder..."
-  rsync -avz surya:/z/$currdir/* /z/$currdir/
-done
-
-sep
-
diff --git a/scripts/customize/fred/scripts/archival/raw_synch.sh b/scripts/customize/fred/scripts/archival/raw_synch.sh
new file mode 100644 (file)
index 0000000..9a69b9c
--- /dev/null
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
+
+synch_host="$1"; shift
+if [ -z "$synch_host" ]; then
+  echo This script requires a hostname where we expect to find archives.
+  exit 1
+fi
+
+echo "Updating our local archives from $synch_host: this is very raw mode, without syncthing!" | splitter
+echo
+
+for currdir in basement imaginations musix walrus; do
+  sep
+  echo "synching $currdir folder from $synch_host..."
+  rsync -avz "$synch_host":/z/$currdir/* /z/$currdir/
+done
+
+sep
+
diff --git a/scripts/generator/jenkins_builder.sh b/scripts/generator/jenkins_builder.sh
new file mode 100644 (file)
index 0000000..a61c362
--- /dev/null
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# got really tired of seeing this as a big long single line in jenkins, plus
+# it kept breaking and was a huge pain to edit.  so now it's in a much more
+# readable file.
+# the only parameter is the path to the feisty meow codebase being built and
+# tested.
+
+feisty_path="$1"; shift
+
+if [ -z "$feisty_path" ]; then
+  echo This script requires the path to the feisty meow codebase under test.
+  exit 1
+fi
+
+export RUN_ALL_TESTS=true
+export HOME="$(mktemp -d "$feisty_path/home_store.XXXXXX")"
+cd "$feisty_path"
+export FEISTY_MEOW_APEX="$(\pwd)"
+export FEISTY_MEOW_SCRIPTS=$FEISTY_MEOW_APEX/scripts
+bash "$feisty_path/scripts/core/reconfigure_feisty_meow.sh"
+source "$feisty_path/scripts/core/launch_feisty_meow.sh"
+var FEISTY_MEOW_APEX FEISTY_MEOW_SCRIPTS
+bash "$feisty_path/scripts/generator/produce_feisty_meow.sh"
+
index f10d6b95ea3e21446d39f9371ff665935968f8e1..431c85a61a2b012225c3839ae18a2d412092ffcf 100644 (file)
@@ -38,7 +38,9 @@ function launch_screen()
   echo "$(date_stringer ' '): starting $screen_name now..."
 #hmmm: version check for if we're using old screen?  this -L change was a mistake though for the screen project owners on ubuntu.
 local boguslog=$HOME/screen_junk_$(date_stringer).log
-#maybe they unbroke it in 17.10?
+#maybe they unbroke it in 17.10?  yes, but it requires NO space now.  *&@#*&@#
+#hmmm: bring back old version but check for ubuntu 17.04 vs 17.10 now.
+#actually they made it a new parm.  arghhh!
   screen -L $boguslog -S "$screen_name" -d -m nice -n $NICENESS_LEVEL mono "$app_name" 
 
   echo "$(date_stringer ' '): $screen_name started."
index 9db5eef39399a1bfbb9ca412a497b816e711e2f0..a9016d8c5af158567714c54f17415e79ffac5100 100644 (file)
@@ -136,6 +136,65 @@ fi
 
 ##############
 
+# fix up the apache site so that HSTS is disabled.  otherwise we can't view
+# the https site for cakelampvm.com once the domain name switch has occurred.
+
+# we operate only on our own specialized tls conf file.  hopefully no one has messed with it besides revamp.
+# note the use of the character class :blank: below to match spaces or tabs.
+search_replace "^[[:blank:]]*Header always set Strict-Transport-Security.*" "# not good for cakelampvm.com -- Header always set Strict-Transport-Security \"max-age=63072000; includeSubdomains;\"" /etc/apache2/conf-library/tls-enabling.conf
+if [ $? -ne 0 ]; then
+  echo the apache tls-enabling.conf file seems to have already been patched to disable strict transport security.  good.
+else
+  restart_apache
+  echo successfully patched the apache tls-enabling.conf file to disable strict transport security.  awesome.
+fi
+
+##############
+
+# fix up bind so that we think of any address with cakelampvm.com on the end
+# as being on the vm.  this is already true for some specific sites, but we
+# want the wildcard enabled to ease the use of DNS for windows folks.
+
+grep -q "\*[[:blank:]]*IN A[[:blank:]]*10.28.42.20" /etc/bind/cakelampvm.com.conf
+if [ $? -eq 0 ]; then
+  # already present.
+  echo the bind settings for wildcard domains off of cakelampvm.com seems to already be present.  good deal.
+else
+  echo "
+; our bind magic, a wildcard domain, for all other sites with cakelampvm.com
+; in the domain.  this forces any other sites besides the ones above to route
+; to the actual vm IP address, which currently is singular and very fixated.
+*                              IN A            10.28.42.20
+                               IN HINFO        "linux vm" "ubuntu"
+" >> /etc/bind/cakelampvm.com.conf
+  restart_bind
+  echo "successfully added wildcard domains to the cakelampvm.com bind configuration, so we're still on track for greatness."
+fi
+
+##############
+
+# fix samba configuration for (ass-headed) default of read-only in user homes.
+# why add a necessary feature if you're just going to cripple it by default?
+
+pattern="[#;][[:blank:]]*read only = yes"
+replacement="read only = no"
+
+# first see if we've already done this.
+# if we find any occurrence of the replacement, we assume we already did it.
+# ** we're assuming a lot about the structure of the samba config file!
+grep -q "$replacement" /etc/samba/smb.conf 
+if [ $? -ne 0 ]; then
+  echo "the samba configuration has already been fixed for user homes, s'cool."
+else
+  # so not there yet; we need to make the replacement.
+  sed -i "0,/$pattern/{s/$pattern/$replacement/}" /etc/samba/smb.conf
+  test_or_die "patching samba configuration to enable write acccess on user home dirs"
+  # sweet, looks like that worked...
+  restart_samba
+  echo successfully patched the samba configuration to enable writes on user home directories.  way cool.
+fi
+
+##############
 ##############
 
 # sequel--tell them they're great and show the hello again also.
index 593115fe2f58784938efbdde9c730f8c1024b4f2..2577f44ae4f653164dbd109d4e3449d6b75c417f 100644 (file)
@@ -8,7 +8,7 @@ source "$WORKDIR/../core/launch_feisty_meow.sh"
 
 #hmmm: why all the hard-coded paths below?
 
-/bin/dd if=/dev/zero of=/var/swap.1 bs=1M count=1024
+/bin/dd if=/dev/zero of=/var/swap.1 bs=1M count=2048
 test_or_die "creating swap file"
 
 /bin/chmod 600 /var/swap.1
index 4ab80ed3716e6092650b5e8b8b6c30763a9d9869..7f831e21aa4953214bdca0c13dc7044a73abd486 100644 (file)
@@ -186,6 +186,25 @@ function restart_bind()
 
 ############################################################################
 
+# samba server helper functions...
+
+function restart_samba
+{
+  echo restarting samba server.
+  service smbd restart
+  if [ $? -ne 0 ]; then
+    echo "The samba service did not restart properly.  Please check the error logs."
+    exit 1
+  fi
+  service nmbd restart
+  if [ $? -ne 0 ]; then
+    echo "The samba name service (nmbd) did not restart properly.  This may not always be fatal, so we are ignoring it, but you may want to check the error logs."
+  fi
+  echo samba service restarted.
+}
+
+############################################################################
+
 # apache2 methods...
 
 # removes a config file for apache given the app name and site name.